package com.persagy.fm.department.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.fm.common.model.entity.AuditableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 部门(Department)实体类
 *
 * @author lixing
 * @version V1.0 2021-03-11 15:09:18
 */
@Data
@ApiModel(description = "部门")
@TableName(autoResultMap = true)
public class Department extends AuditableEntity<Department> implements Serializable {
    private static final long serialVersionUID = 729299541515891979L;

    @ApiModelProperty("部门名称")
    private String name;

    @ApiModelProperty(value = "部门类型", notes = "com.persagy.fm.department.constant.enums.DepTypeEnum")
    private String type;

    @ApiModelProperty("上级部门id")
    private String parentId;

    @ApiModelProperty(value = "数据来源", notes = "com.persagy.fm.department.constant.enums.ResourceFromEnum")
    private String resourceFrom;

    @ApiModelProperty("负责人")
    private String managers;

    @ApiModelProperty("部门全路径")
    private String fullPath;

    @ApiModelProperty(value = "编制人数", hidden = true)
    private Integer staffCount;

    public static String PROP_NAME = "name";
    public static String PROP_TYPE = "type";
    public static String PROP_PARENT_ID = "parent_id";
    public static String PROP_RESOURCE_FROM = "resource_from";
    public static String PROP_MANAGERS = "managers";
    public static String PROP_FULL_PATH = "full_path";
    public static String PROP_STAFF_COUNT = "staff_count";
}
