package com.persagy.fm.department.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-03-11 15:09:19
 */
@Data
@ApiModel(value = "查询部门入参")
public class QueryDepartmentDTO {
    @ApiModelProperty(value = "部门id列表")
    private List<String> ids;

    @ApiModelProperty(value = "部门名称")
    private String name;

    @ApiModelProperty(value = "部门类型", notes = "com.persagy.fm.department.constant.enums.DepTypeEnum")
    private String type;

    @ApiModelProperty(value = "上级部门id列表")
    private List<String> parentIds;

    @ApiModelProperty(value = "数据来源", notes = "com.persagy.fm.department.constant.enums.ResourceFromEnum")
    private String resourceFrom;

    @ApiModelProperty(value = "部门全路径, 模糊查询")
    private String fullPath;

//    @ApiModelProperty(value = "负责人")
//    private String managers;
//
//    @ApiModelProperty(value = "编制人数")
//    private Integer staffCount;
//
//    @ApiModelProperty(value = "是否包含下级部门")
//    private String hasChildren;

}
