package com.persagy.fm.department.model.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.persagy.fm.saas.project.model.vo.ProjectSimpleObjVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-03-11 15:09:19
 */
@Data
@ApiModel(value = "部门返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseDepartmentItemVO {
    @ApiModelProperty("id")
    @JsonSerialize(using = ToStringSerializer.class)
    private String id;

    @ApiModelProperty("部门名称")
    private String name;

    @ApiModelProperty(value = "部门类型", notes = "com.persagy.fm.department.constant.enums.DepTypeEnum")
    private String type;

    @ApiModelProperty("上级部门id")
    private String parentId;

    @ApiModelProperty("上级部门名称")
    private String parentShowName;

    @ApiModelProperty(value = "数据来源", notes = "com.persagy.fm.department.constant.enums.ResourceFromEnum")
    private String resourceFrom;

    @ApiModelProperty("部门主管列表")
    private List<ManagerSimpleObjVO> managers;

    @ApiModelProperty("部门全路径")
    private String fullPath;

    @ApiModelProperty(value = "编制人数", hidden = true)
    private Integer staffCount;

    @ApiModelProperty("是否包含下级部门")
    private String hasChildren;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("最后修改人")
    private String modifier;

    @ApiModelProperty("最后修改时间")
    private Date modifiedTime;

    @ApiModelProperty(value="关联的项目")
    private List<ProjectSimpleObjVO> projects;

}
