package com.persagy.fm.person.model;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.persagy.fm.common.model.entity.AuditableEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import net.minidev.json.annotate.JsonIgnore;

import java.io.Serializable;
import java.util.Date;

/**
 * 人员(Person)实体类
 *
 * @author lixing
 * @version V1.0 2021-03-15 17:20:32
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "人员")
public class Person extends AuditableEntity<Person> implements Serializable {
    private static final long serialVersionUID = 927933790373524126L;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("姓名拼音")
    private String namePinyin;

    @ApiModelProperty("账号")
    private String username;

    @ApiModelProperty("账号id")
    private String accountId;

    @ApiModelProperty("证件号码")
    private String idNumber;

    @ApiModelProperty(value = "证件类型", notes = "com.persagy.fm.person.constant.enums.CertificateTypeEnum")
    private String certificateType;

    @ApiModelProperty("性别")
    private Integer gender;

    @ApiModelProperty("生日")
    private Date birthday;

    @ApiModelProperty("工号")
    private String jobNumber;

    @ApiModelProperty("账号来源")
    private String userFrom;

    @ApiModelProperty(value = "员工类型", notes = "com.persagy.fm.person.constant.enums.PersonTypeEnum")
    private String personType;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("专业")
    private String profession;

    @ApiModelProperty("直接领导")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String leader;

    public static String PROP_NAME = "name";
    public static String PROP_USERNAME = "username";
    public static String PROP_ACCOUNT_ID = "account_id";
    public static String PROP_ID_NUMBER = "id_number";
    public static String PROP_GENDER = "gender";
    public static String PROP_BIRTHDAY = "birthday";
    public static String PROP_JOB_NUMBER = "job_number";
    public static String PROP_USER_FROM = "user_from";
    public static String PROP_REMARK = "remark";
    public static String PROP_PROFESSION = "profession";

}
