package com.persagy.fm.person.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-03-15 17:20:32
 */
@Data
@ApiModel(value = "批量更新人员入参")
public class BatchUpdatePersonDTO {
    @ApiModelProperty(value = "ids", required = true)
    @NotNull(message = "人员主键不能为空")
    private List<String> ids;

    @ApiModelProperty(value = "员工类型", notes = "com.persagy.fm.person.constant.enums.PersonTypeEnum")
    private String personType;

    @ApiModelProperty(value = "主岗")
    private String mainDuty;

    @ApiModelProperty(value = "副岗")
    private List<String> otherDuties;

    @ApiModelProperty(value = "专业")
    private List<String> professions;

    @ApiModelProperty(value = "所属部门id", required = true)
    private List<String> depIds;

    @ApiModelProperty(value = "附加权限")
    private List<String> otherRoles;
}
