package com.persagy.fm.person.model.dto;

import com.persagy.fm.common.model.dto.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/4/8 8:27 下午
 **/
@Data
@ApiModel
public class PageQueryByDepIdDTO extends PageDTO {
    @ApiModelProperty(value = "部门主键", required = true)
    @NotEmpty(message = "部门主键不能为空")
    private String depId;

    @ApiModelProperty(value = "是否包含下级部门", notes = "com.persagy.fm.common.constant.enums.BoolEnum")
    private String containsSub;

    @ApiModelProperty(value = "在职状态", notes = "com.persagy.fm.workresume.constant.enums.WorkResumeHiredStateEnum")
    private Integer hiredState;

    @ApiModelProperty(value = "禁用状态", notes = "com.persagy.fm.workresume.constant.enums.WorkResumeEnableStateEnum")
    private Integer enableState;
}
