package com.persagy.fm.person.model.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.persagy.fm.common.model.vo.SimpleObjVO;
import com.persagy.fm.department.model.vo.DepSimpleObjVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.assertj.core.util.Lists;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-03-15 17:20:33
 */
@Data
@ApiModel(value = "人员列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponsePersonListItemVO {
    @ApiModelProperty("id")
    @JsonSerialize(using = ToStringSerializer.class)
    private String id;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("员工类型编码")
    @JsonIgnore
    private String personType;

    @ApiModelProperty(value = "员工类型", notes = "com.persagy.fm.person.constant.enums.PersonTypeEnum")
    private SimpleObjVO personTypeVO;

    @ApiModelProperty("账号id")
    @JsonIgnore
    private String accountId;

    @ApiModelProperty("账号")
    private String username;

    @ApiModelProperty(value = "头像")
    private String headPortrait;

    @ApiModelProperty("主岗信息")
    private SimpleObjVO mainDuty;

    @ApiModelProperty("副岗信息")
    private List<SimpleObjVO> otherDuties;

    @ApiModelProperty("专业id")
    @JsonIgnore
    private String profession;

    @ApiModelProperty("专业信息")
    private List<SimpleObjVO> professions;

    @ApiModelProperty("登录有效期")
    private Date expireDate;

    @ApiModelProperty("所属部门")
    private List<DepSimpleObjVO> deps;

    @ApiModelProperty(value = "是否是部门主管", notes = "com.persagy.fm.common.constant.enums.BoolEnum")
    private String isLeader;

    @ApiModelProperty("禁用状态")
    private String enableState;

    @ApiModelProperty("在职状态")
    private String hiredState;

//    public SimpleObjVO getPersonTypeVO() {
//        return personTypeVO == null ? new SimpleObjVO() : personTypeVO;
//    }
//
//    public SimpleObjVO getMainDuty() {
//        return mainDuty == null ? new SimpleObjVO() : mainDuty;
//    }
//
//    public List<SimpleObjVO> getOtherDuties() {
//        return otherDuties == null ? Lists.newArrayList() : otherDuties;
//    }
//
//    public List<SimpleObjVO> getProfessions() {
//        return professions == null ? Lists.newArrayList() : professions;
//    }
//
//    public List<DepSimpleObjVO> getDeps() {
//        return deps == null ? Lists.newArrayList() : deps;
//    }
}
