package com.persagy.fm.profession.model.dto;

import com.persagy.fm.common.constant.RegexConstants;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

import lombok.Data;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-03-19 16:38:20
 */
@Data
@ApiModel(value = "创建专业入参")
public class AddProfessionDTO {
    @ApiModelProperty(value = "专业名称", required = true)
    @NotNull(message = "专业名称不能为空")
    @Length(max = 20, message = "专业名称长度不能超过20位")
    @Pattern(regexp = RegexConstants.NAME_REGEX,
            message = "专业名称" + RegexConstants.NAME_REGEX_WARNING)
    private String name;

    @ApiModelProperty(value = "是否可编辑", required = true, notes = "com.persagy.fm.common.constant.enums.BoolEnum")
    private String editable;

}
