package com.persagy.fm.profession.service;

import com.persagy.fm.common.model.vo.SimpleObjVO;
import com.persagy.fm.profession.model.*;
import com.persagy.fm.profession.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 专业(Profession) service接口
 *
 * @author lixing
 * @version V1.0 2021-03-19 16:38:19
 */
public interface IProfessionService {

    /**
     * 创建专业
     *
     * @param addProfessionDTO addDTO
     * @return 专业主键
     * @author lixing
     * @version V1.0 2021-03-19 16:38:19
     */
    String createProfession(AddProfessionDTO addProfessionDTO);

    /**
     * 更新专业
     *
     * @param updateProfessionDTO updateDTO
     * @author lixing
     * @version V1.0 2021-03-19 16:38:19
     */
    void updateProfession(UpdateProfessionDTO updateProfessionDTO);

    /**
     * 删除专业
     *
     * @param id 主键
     * @author lixing
     * @version V1.0 2021-03-19 16:38:19
     */
    void deleteProfession(String id);

    /**
     * 查询专业
     *
     * @return List<Profession>
     * @author lixing
     * @version V1.0 2021-03-19 16:38:19
     */
    List<Profession> queryProfessionList();

    /**
     * 根据专业id列表查询专业信息
     *
     * @param professionIdList
     * @return 专业信息列表
     * @author lixing
     * @version V1.0 2021/4/1 11:06 上午
     */
    List<SimpleObjVO> queryProfessionInfoByProfessionIds(List<String> professionIdList);

    /**
     * 校验专业是否可删除
     *
     * @param id 专业主键
     * @return 专业do类
     * @author lixing
     * @version V1.0 2021-03-19 16:38:19
     */
    Profession checkDeletable(String id);
}
