package com.persagy.fm.saas.accountproject.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.fm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 账号-集团项目关联信息(SaasAccountProject)实体类
 *
 * @author lixing
 * @version V1.0 2021-03-26 15:15:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "账号-集团项目关联信息")
public class SaasAccountProject extends AuditableEntity<SaasAccountProject> implements Serializable {
    private static final long serialVersionUID = 357766245383663520L;

    @ApiModelProperty("账号ID")
    private String accountId;

    @ApiModelProperty("集团编码")
    private String groupCode;

    @ApiModelProperty("项目ID")
    private String projectId;

    @ApiModelProperty("账号可见域，0-所有集团项目，1-单集团所有项目(此时，集团编码需存在)，2-其他")
    private String accountScope;


    public static String PROP_ACCOUNT_ID = "ACCOUNT_ID";
    public static String PROP_GROUP_CODE = "GROUP_CODE";
    public static String PROP_PROJECT_ID = "PROJECT_ID";
    public static String PROP_ACCOUNT_SCOPE = "ACCOUNT_SCOPE";

}
