package com.persagy.fm.saas.accountproject.service;

import com.persagy.fm.saas.accountproject.model.*;
import com.persagy.fm.saas.accountproject.model.dto.*;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.persagy.fm.saas.project.model.dto.UpsertSaasProjectDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 账号-集团项目关联信息(SaasAccountProject) service接口
 *
 * @author lixing
 * @version V1.0 2021-03-26 15:15:40
 */
public interface ISaasAccountProjectService {

    /**
     * 创建账号-集团项目关联信息
     *
     * @param addSaasAccountProjectDTO addDTO
     * @return 账号-集团项目关联信息主键
     * @author lixing
     * @version V1.0 2021-03-26 15:15:40
     */
    String createSaasAccountProject(AddSaasAccountProjectDTO addSaasAccountProjectDTO);

    /**
     * 删除账号-集团项目关联信息
     *
     * @param accountId 账号id
     * @author lixing
     * @version V1.0 2021-03-26 15:15:40
     */
    void deleteSaasAccountProject(String accountId);

    /**
     * 查询账号-集团项目关联信息
     *
     * @param querySaasAccountProjectDTO queryDTO
     * @return List<SaasAccountProject>
     * @author lixing
     * @version V1.0 2021-03-26 15:15:40
     */
    List<SaasAccountProject> querySaasAccountProjectList(QuerySaasAccountProjectDTO querySaasAccountProjectDTO);

    /**
     * 根据账号id,查询账号-集团项目关联信息
     *
     * @param accountId queryDTO
     * @return List<SaasAccountProject>
     * @author lixing
     * @version V1.0 2021-03-26 15:15:40
     */
    List<SaasAccountProject> querySaasAccountProjectListByAccountId(String accountId);

    /**
     * 重置账号关联的项目
     *
     * @param accountId 账号id
     * @param projects 最新关联的项目
     * @author lixing
     * @version V1.0 2021/4/8 2:47 下午
     */
    void resetSaasAccountProject(String accountId, List<UpsertSaasProjectDTO> projects);
}
