package com.persagy.fm.saas.accountrole.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.fm.common.model.entity.AuditableEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 账号-角色关联信息(SaasAccountRole)实体类
 *
 * @author lixing
 * @version V1.0 2021-03-25 09:39:39
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "账号-角色关联信息")
public class SaasAccountRole extends AuditableEntity<SaasAccountRole> implements Serializable {
    private static final long serialVersionUID = -51495192565503821L;

    @ApiModelProperty("集团编码")
    private String groupCode;

    @ApiModelProperty("账号ID")
    private String accountId;

    @ApiModelProperty("角色ID")
    private String roleId;

    @ApiModelProperty("关联类型，0-主岗，1-副岗")
    private String casType;


    public static String PROP_GROUP_CODE = "GROUP_CODE";
    public static String PROP_ACCOUNT_ID = "ACCOUNT_ID";
    public static String PROP_ROLE_ID = "ROLE_ID";
    public static String PROP_CAS_TYPE = "CAS_TYPE";

}
