package com.persagy.fm.saas.accountrole.model.dto;

import com.persagy.fm.saas.common.model.dto.SaasBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-03-25 09:39:40
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "查询账号-角色关联信息入参")
public class QuerySaasAccountRoleDTO extends SaasBaseDTO {
    @ApiModelProperty(value = "账号ID")
    private String accountId;

    @ApiModelProperty(value = "账号ID列表")
    private List<String> accountIds;

    @ApiModelProperty(value = "角色ID")
    private String roleId;

    @ApiModelProperty(value = "角色ID列表")
    private List<String> roleIds;

    @ApiModelProperty(value = "关联类型，0-主岗，1-副岗")
    private String casType;

}
