package com.persagy.fm.saas.project.model.dto;

import com.persagy.fm.saas.common.model.dto.SaasBaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 查询"saas-区域"参数，所有参数非必填
 *
 * @author lixing
 * @version V1.0 2021/3/22 2:23 下午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
public class QuerySaasAreaDTO extends SaasBaseDTO {
    /**
     * 区域ID
     */
    private String id;
    private String parentId;
    private String areaCode;
    private String areaName;
    /**
     * 区域类别，0-非最底层区域，1-最底层区域，选填
     */
    private String areaType;
    /**
     * 是否统计出该层区域及其下级所包含区域对应的所有项目数量，默认false-不统计
     */
    private Boolean isTotal;
}
