package com.persagy.fm.saas.role.model.dto;

import com.persagy.fm.common.constant.RegexConstants;
import com.persagy.fm.saas.common.model.dto.SaasBaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

/**
 * @author lixing
 * @version V1.0 2021-03-22 19:04:19
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "创建入参")
public class AddSaasRoleDTO extends SaasBaseDTO {
    @ApiModelProperty(value = "名称", required = true)
    @NotNull(message = "名称不能为空")
    @Length(max = 20, message = "名称长度不能超过20位")
    @Pattern(regexp = RegexConstants.NAME_REGEX,
            message = "名称" + RegexConstants.NAME_REGEX_WARNING)
    private String roleName;

    @ApiModelProperty(value = "角色类型", required = true, notes="com.persagy.fm.saas.role.constant.enums.RoleTypeEnum")
    @NotNull(message = "角色类型不能为空")
    private String roleType;
}
