package com.persagy.fm.saas.role.model.dto;

import com.persagy.fm.saas.common.model.dto.SaasBasePageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

import com.persagy.fm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.assertj.core.util.Lists;

/**
 * @author lixing
 * @version V1.0 2021-03-22 19:04:24
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询入参")
public class PageQuerySaasRoleDTO extends SaasBasePageDTO {
    @ApiModelProperty(value = "角色id")
    private String id;

    @ApiModelProperty(value = "角色名称")
    private String roleName;

    @ApiModelProperty(value = "角色类型", required = true, notes="com.persagy.fm.saas.role.constant.enums.RoleTypeEnum")
    private String roleType;

    @ApiModelProperty(value = "角色类型列表", required = true, notes="com.persagy.fm.saas.role.constant.enums.RoleTypeEnum")
    private List<String> roleTypes;

    @ApiModelProperty(value = "角色id列表")
    private List<String> roleIds;

    @ApiModelProperty(value = "是否统计功能点数量")
    private Boolean countFunction;

    @ApiModelProperty(value = "是否统计菜单数量")
    private Boolean countMenu;

    @ApiModelProperty(value = "集团管理员是否优先排序", hidden = true)
    private Boolean adminOrder;

    @Override
    public void setDefaultValue() {
        super.setDefaultValue();
        this.setAdminOrder(true);
    }
}
