package com.persagy.fm.workresume.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-03-15 17:20:08
 */
@Data
@ApiModel(value = "查询工作信息入参")
public class QueryWorkResumeDTO {
    @ApiModelProperty(value = "人员主键")
    private String personId;
    
    @ApiModelProperty("人员主键id列表")
    private List<String> personIds;

    @ApiModelProperty(value = "部门主键")
    private String depId;

    @ApiModelProperty(value = "部门主键id列表")
    private List<String> depIds;

    @ApiModelProperty(value = "在职状态")
    private String hiredState;

    @ApiModelProperty(value = "启用状态")
    private String enableState;

    @ApiModelProperty(value = "入职时间")
    private Date hiredDate;

    @ApiModelProperty(value = "离职时间")
    private Date departureDate;

    @ApiModelProperty(value = "是否是部门主管", notes = "com.persagy.fm.common.constant.enums.BoolEnum")
    private String isLeader;

}
