package com.persagy.fm.scheduling.controller;


import com.persagy.fm.common.response.CommonResult;
import com.persagy.fm.common.response.PageList;
import com.persagy.fm.scheduling.service.WorkScheduleService;
import com.persagy.fm.scheduling.vo.request.DownloadFileVO;
import com.persagy.fm.scheduling.vo.request.ScheduleListQueryVO;
import com.persagy.fm.scheduling.vo.request.UpdateScheduleVO;
import com.persagy.fm.scheduling.vo.response.OnePersonScheduleVO;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@Slf4j
@RestController
@RequiredArgsConstructor
@RequestMapping("/fm/schedule/")
public class WorkScheduleController {

    private final WorkScheduleService workScheduleService;


    @PostMapping("list")
    public CommonResult<PageList<OnePersonScheduleVO>> scheduleList(@Validated @RequestBody ScheduleListQueryVO vo) {
        PageList<OnePersonScheduleVO> personSchedulePage = workScheduleService.scheduleList(vo);
        CommonResult<PageList<OnePersonScheduleVO>> success = CommonResult.SUCCESS;
        success.setContent(personSchedulePage);
        return success;
    }

    @PostMapping("update")
    public CommonResult<Boolean> updateSchedule(@Validated @RequestBody UpdateScheduleVO vo) {
        return CommonResult.success(workScheduleService.updateSchedule(vo));
    }


    @PostMapping("uploadFile")
    public CommonResult<Boolean> uploadFile(HttpServletRequest file) {
        return CommonResult.SUCCESS;
    }


    @PostMapping("downLoadFile")
    public void downLoadFile(@Validated @RequestBody DownloadFileVO vo, HttpServletResponse response) {
        vo.validData();
    }

}
