package com.persagy.fm.scheduling.utils;

import java.util.Optional;
import java.util.function.Consumer;
import java.util.function.Function;
import java.util.function.Predicate;

public interface StreamUtil {


    static <T> void actionWhen(T t, Predicate<T> condition, Consumer<T> consumer) {
        if (condition.test(t)) consumer.accept(t);
    }

    static <T, U> void actionWhen(T t, U u, Predicate<U> condition, Consumer<T> consumer) {
        if (condition.test(u)) consumer.accept(t);
    }

    static <T> void actionWhen(T t, boolean flag, Consumer<T> consumer) {
        if (flag) consumer.accept(t);
    }


    static <T, R> Optional<R> transformWhen(T t, Predicate<T> condition, Function<T, R> function) {
        if (condition.test(t)) return Optional.of(function.apply(t));
        return Optional.empty();
    }


    static <T, R> Optional<R> transformWhen(T t, boolean flag, Function<T, R> function) {
        if (flag) return Optional.of(function.apply(t));
        return Optional.empty();
    }
}
