package com.persagy.fm.scheduling.vo.request;


import com.persagy.fm.scheduling.utils.Validator;
import lombok.Data;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.lang3.StringUtils;

import java.util.List;
import java.util.Objects;

@Data
public class DownloadFileVO {

    private Integer year;

    private Integer month;

    private String projectId;

    private String departmentId;

    private Boolean downLoadTemplate = false;


    public void validData() {
        if (!downLoadTemplate) {
            Validator<DownloadFileVO> validate = Validator.unit(this)
                    .mapValidate(DownloadFileVO::getYear, Objects::nonNull, "年份为空")
                    .mapValidate(DownloadFileVO::getMonth, Objects::nonNull, "月份为空")
                    .mapValidate(DownloadFileVO::getDepartmentId, StringUtils::isNotBlank, "缺少部门id")
                    .mapValidate(DownloadFileVO::getProjectId, StringUtils::isNotBlank, "缺少项目id");
            List<String> errors = validate.getErrors();
            if (CollectionUtils.isNotEmpty(errors)) {
                String errorStr = String.join(",", errors);
                throw new RuntimeException(errorStr);
            }

        }
    }


}
